Page MenuHomePhabricator

Build prototype `machine assisted depicts tag suggestions` extension
Closed, ResolvedPublic

Description

Here's my prototype extension - based on designs from @PDrouin-WMF:
https://github.com/montehurd/WikibaseMachineAssistedDepicts

Animation:
https://user-images.githubusercontent.com/3143487/63376423-9f564600-c342-11e9-9278-36a288c6b195.gif

^ Note that these tags are faked out - i.e not currently coming from a machine learning image classifier. Also, the Publish button is obviously not hooked up.


To ease development I forked mediawiki-docker-dev. My fork sets up a Dockerized Mediawiki Structured Data on Commons development environment (with a single command).

This branch of my fork includes my prototype extension. Cloning it then running its install script command will fetch, install and spin up a mediawiki instance with my Machine assisted depicts extension (and dependencies):

After that command finishes (takes about 5 ~ 10 minutes) my extension url should work 🤞:

http://default.web.mw.localhost:8080/mediawiki/index.php?title=Special:WikibaseMachineAssistedDepicts

Event Timeline

Mhurd created this task.Aug 20 2019, 9:27 PM
Mhurd renamed this task from Build prototype `machine assisted depicts tag suggestion` extension to Build prototype `machine assisted depicts tag suggestions` extension.Aug 20 2019, 9:34 PM
Mhurd updated the task description. (Show Details)
Abit awarded a token.Aug 20 2019, 9:37 PM
Mhurd updated the task description. (Show Details)Aug 21 2019, 12:03 AM
Mhurd added a subscriber: PDrouin-WMF.

I guess the next step here is to move this code into the MachineVision extension that's deployed to Beta.

Change 531557 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/extensions/MachineVision@master] Integrate JS label confirmation frontend

https://gerrit.wikimedia.org/r/531557

Mholloway moved this task from Backlog to In development on the Machine vision board.

Change 531557 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@master] Integrate JS label confirmation frontend

https://gerrit.wikimedia.org/r/531557

Mholloway closed this task as Resolved.Aug 23 2019, 4:54 PM
Mholloway moved this task from In development to Done on the Machine vision board.